Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.nio
Class ByteArrayBackedDataSource

    java.lang.Object
      org.apache.poi.poifs.nio.DataSource
          org.apache.poi.poifs.nio.ByteArrayBackedDataSource

    public class ByteArrayBackedDataSource

extends DataSource

A POIFS `DataSource` backed by a byte array.

Constructor Summary
`ByteArrayBackedDataSource(byte[] data)`
`ByteArrayBackedDataSource(byte[] data, int size)`

Method Summary
`void` | `close()` Close the underlying stream
`void` | `copyTo(java.io.OutputStream stream)` Copies the contents to the specified OutputStream
`java.nio.ByteBuffer` | `read(int length, long position)`
`long` | `size()`
`void` | `write(java.nio.ByteBuffer src, long position)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayBackedDataSource

    public ByteArrayBackedDataSource(byte[] data,
                                     int size)

### ByteArrayBackedDataSource

    public ByteArrayBackedDataSource(byte[] data)

Method Detail

### read

    public java.nio.ByteBuffer read(int length,
                                    long position)

  Specified by:
    `read` in class `DataSource`

### write

    public void write(java.nio.ByteBuffer src,
                      long position)

  Specified by:
    `write` in class `DataSource`

### copyTo

    public void copyTo(java.io.OutputStream stream)
                throws java.io.IOException

  Description copied from class: `DataSource`
  Copies the contents to the specified OutputStream

  Specified by:
    `copyTo` in class `DataSource`
  Throws:
    `java.io.IOException`

### size

    public long size()

  Specified by:
    `size` in class `DataSource`

### close

    public void close()

  Description copied from class: `DataSource`
  Close the underlying stream

  Specified by:
    `close` in class `DataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD